GeneralLogData (Hyperic HQ Plugin API)
Keywords: org.novadeck.jxla.data.GeneralLogData class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.novadeck.jxla.data
Class GeneralLogData

    java.lang.Object
      org.novadeck.jxla.data.GeneralLogData

All Implemented Interfaces:
  java.io.Serializable

    public class GeneralLogData

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected java.util.HashMap` | `_files`
`protected java.util.HashMap` | `_hits`
`protected java.util.HashMap` | `_keywords`
`protected java.util.HashMap` | `_pagesView`
`protected java.util.HashMap` | `_referers`
`protected java.util.HashMap` | `_remote_ip`
`protected java.util.HashMap` | `_status`
`protected long` | `_traffic`
`protected java.util.HashMap` | `_userAgents`
`protected java.util.HashMap` | `_users`

Constructor Summary
`GeneralLogData()`

Method Summary
`void` | `addFile(java.lang.String s)`
`void` | `addHit(java.lang.String s)`
`void` | `addKeywords(java.lang.String s)`
`void` | `addPageView(java.lang.String s)`
`void` | `addReferer(java.lang.String s)`
`void` | `addRemoteIP(java.lang.String s)`
`void` | `addStatus(java.lang.String s)`
`void` | `addTraffic(long l)`
`void` | `addUser(java.lang.String s)`
`void` | `addUserAgent(java.lang.String s)`
`protected long` | `getCount(java.util.HashMap map)`
`long` | `getFiles()`
`long` | `getHits()`
`long` | `getPages()`
`long` | `getTraffic()`
`protected void` | `inc(java.lang.String key, java.util.HashMap map)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _referers

    protected java.util.HashMap _referers

### _keywords

    protected java.util.HashMap _keywords

### _remote_ip

    protected java.util.HashMap _remote_ip

### _hits

    protected java.util.HashMap _hits

### _pagesView

    protected java.util.HashMap _pagesView

### _files

    protected java.util.HashMap _files

### _status

    protected java.util.HashMap _status

### _userAgents

    protected java.util.HashMap _userAgents

### _users

    protected java.util.HashMap _users

### _traffic

    protected long _traffic

Constructor Detail

### GeneralLogData

    public GeneralLogData()

Method Detail

### addReferer

    public void addReferer(java.lang.String s)

### addKeywords

    public void addKeywords(java.lang.String s)

### addRemoteIP

    public void addRemoteIP(java.lang.String s)

### addStatus

    public void addStatus(java.lang.String s)

### addUserAgent

    public void addUserAgent(java.lang.String s)

### addUser

    public void addUser(java.lang.String s)

### addHit

    public void addHit(java.lang.String s)

### addFile

    public void addFile(java.lang.String s)

### addPageView

    public void addPageView(java.lang.String s)

### inc

    protected void inc(java.lang.String key,
                       java.util.HashMap map)

### getCount

    protected long getCount(java.util.HashMap map)

### getTraffic

    public long getTraffic()

### addTraffic

    public void addTraffic(long l)

### getPages

    public long getPages()

### getFiles

    public long getFiles()

### getHits

    public long getHits()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.